searchData={"items":[{"type":"module","title":"ScalarPlug","doc":"`ScalarPlug` is an Elixir plug to integrate [Scalar](https://github.com/scalar/scalar) into your Elixir application. When a request URL path matches the path the plug has been configured with, it returns a HTML response initializing Scalar.","ref":"ScalarPlug.html"},{"type":"module","title":"Installation - ScalarPlug","doc":"The package is [available in Hex](https://hex.pm/docs/publish) and you can install it by adding the dependency to your project's `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:scalar_plug, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"ScalarPlug.html#module-installation"},{"type":"module","title":"Usage - ScalarPlug","doc":"You can add `ScalarPlug` as a plug to your project passing the configuration options as a keyword list, or a mfa `{:module, :function}` to fetch the options at runtime. The following options are supported:\n\n- `path`: The path at which the documentation will be served (e.g. `/api/docs`).\n- `spec_href`: The path or URL to the OpenAPI specification (e.g. `/api/spec`).\n- `title` (optional): The value of the ` ` head tag. When absent, the value `API Documentation` is used.\n- `og_title` (optional): The value of the ` ` Open Graph tag. When absent, the value of `title` is used.\n- `url` (optional): The value of the ` ` and ` ` tags. When absent, the value is derived from the plug request.\n- `image_url` (optional): The value of the ` ` and ` ` tags. When absent, the elements are not included.\n- `x_handle` (optional): The X handle (without the @) to set to the ` ` element as expected by Scalar.\n\n<!-- tabs-open -->","ref":"ScalarPlug.html#module-usage"},{"type":"module","title":"Compile-time configuration - ScalarPlug","doc":"```elixir\nplug ScalarPlug, path: \"/api/docs\", spec_path: \"/api/spec\", title: \"API Documentation\"\n```","ref":"ScalarPlug.html#module-compile-time-configuration"},{"type":"module","title":"MFA runtime configuration - ScalarPlug","doc":"```elixir\nplug ScalarPlug, {ConfigurationModule, :scalar_config}\n```","ref":"ScalarPlug.html#module-mfa-runtime-configuration"},{"type":"module","title":"Function runtime configuration - ScalarPlug","doc":"```elixir\nplug ScalarPlug, fn -> [path: \"/api/docs\", spec_path: \"/api/spec\", title: \"API Documentation\"] end\n```\n\n<!-- tabs-close -->","ref":"ScalarPlug.html#module-function-runtime-configuration"},{"type":"function","title":"ScalarPlug.call/2","doc":"If the request matches the `path` configuration value, it returns a HTML response with a Scalar setup to load the API documentation.\nOtherwise it returns the same connection.","ref":"ScalarPlug.html#call/2"},{"type":"function","title":"ScalarPlug.init/1","doc":"Initializes the plug with the options or a mfa tuple to load the configuration at runtime.","ref":"ScalarPlug.html#init/1"},{"type":"type","title":"ScalarPlug.options/0","doc":"","ref":"ScalarPlug.html#t:options/0"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nAll notable changes to this project will be documented in this file.\n\nThe format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)\nand this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).\n\n## [Unreleased][unreleased]","ref":"changelog.html"},{"type":"extras","title":"Overview","doc":"# ScalarPlug\n\n<!-- MDOC !-->\n\n`ScalarPlug` is an Elixir plug to integrate [Scalar](https://github.com/scalar/scalar) into your Elixir application. When a request URL path matches the path the plug has been configured with, it returns a HTML response initializing Scalar.","ref":"readme.html"},{"type":"extras","title":"Installation - Overview","doc":"The package is [available in Hex](https://hex.pm/docs/publish) and you can install it by adding the dependency to your project's `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:scalar_plug, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Overview","doc":"You can add `ScalarPlug` as a plug to your project passing the configuration options as a keyword list, or a mfa `{:module, :function}` to fetch the options at runtime. The following options are supported:\n\n- `path`: The path at which the documentation will be served (e.g. `/api/docs`).\n- `spec_href`: The path or URL to the OpenAPI specification (e.g. `/api/spec`).\n- `title` (optional): The value of the ` ` head tag. When absent, the value `API Documentation` is used.\n- `og_title` (optional): The value of the ` ` Open Graph tag. When absent, the value of `title` is used.\n- `url` (optional): The value of the ` ` and ` ` tags. When absent, the value is derived from the plug request.\n- `image_url` (optional): The value of the ` ` and ` ` tags. When absent, the elements are not included.\n- `x_handle` (optional): The X handle (without the @) to set to the ` ` element as expected by Scalar.\n\n<!-- tabs-open -->","ref":"readme.html#usage"},{"type":"extras","title":"Compile-time configuration - Overview","doc":"```elixir\nplug ScalarPlug, path: \"/api/docs\", spec_path: \"/api/spec\", title: \"API Documentation\"\n```","ref":"readme.html#compile-time-configuration"},{"type":"extras","title":"MFA runtime configuration - Overview","doc":"```elixir\nplug ScalarPlug, {ConfigurationModule, :scalar_config}\n```","ref":"readme.html#mfa-runtime-configuration"},{"type":"extras","title":"Function runtime configuration - Overview","doc":"```elixir\nplug ScalarPlug, fn -> [path: \"/api/docs\", spec_path: \"/api/spec\", title: \"API Documentation\"] end\n```\n\n<!-- tabs-close -->","ref":"readme.html#function-runtime-configuration"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}